Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.legacy
Class LegacyAbstractPollingBuildStrategy

    java.lang.Object
      com.atlassian.bamboo.legacy.LegacyAbstractBuildStrategy
          com.atlassian.bamboo.legacy.LegacyAbstractPollingBuildStrategy

All Implemented Interfaces:
  BuildStrategy, ConvertibleFromConfig

Direct Known Subclasses:
  LegacyPollingBuildStrategy

    public abstract class LegacyAbstractPollingBuildStrategy

extends LegacyAbstractBuildStrategy

Common polling behaviour

Author:
  Nick and Andy

Constructor Summary
`LegacyAbstractPollingBuildStrategy()`

Method Summary
`String` | `getBuildMessage()` The strategies build message
`protected void` | `hasBeenPolled()`
`protected boolean` | `isWithinPollingPeriod(Build build)`
`void` | `setBuildMessage(String buildMessage)` Let the subclass strategies set their own custom messages
`protected void` | `updateLastPollTime(DateTime time)`

Methods inherited from class com.atlassian.bamboo.legacy.LegacyAbstractBuildStrategy
`addDefaultValues, getDescription, init, log, populateFromConfig, toConfiguration, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.atlassian.bamboo.build.strategy.BuildStrategy
`getChangeList, getKey, getName, requiresBuild, requiresPreBuildClean`

Constructor Detail

### LegacyAbstractPollingBuildStrategy

    public LegacyAbstractPollingBuildStrategy()

Method Detail

### isWithinPollingPeriod

    protected boolean isWithinPollingPeriod(Build build)

### updateLastPollTime

    protected void updateLastPollTime(DateTime time)

### hasBeenPolled

    protected void hasBeenPolled()

### getBuildMessage

    public String getBuildMessage()

  The strategies build message

  Specified by:
    `getBuildMessage` in interface `BuildStrategy`
  Overrides:
    `getBuildMessage` in class `LegacyAbstractBuildStrategy`
  Returns:
    The message

### setBuildMessage

    public void setBuildMessage(String buildMessage)

  Let the subclass strategies set their own custom messages

  Specified by:
    `setBuildMessage` in interface `BuildStrategy`
  Overrides:
    `setBuildMessage` in class `LegacyAbstractBuildStrategy`
  Parameters:
    `buildMessage` - the message

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.